/***********************************************************************************************************************
 *
 * blueMarine Metadata - open source media workflow
 * Copyright (C) 2007-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluemarine.tidalwave.it
 * SCM: https://kenai.com/hg/bluemarine~metadata-src
 *
 **********************************************************************************************************************/
package it.tidalwave.metadata.makernote.provider;

import java.text.FieldPosition;
import java.text.Format;
import java.text.ParsePosition;
import it.tidalwave.imageio.raw.Directory;
import it.tidalwave.metadata.spi.MetadataItemFormatProvider;
import javax.annotation.CheckForNull;
import javax.annotation.Nonnull;
    
/*******************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 ******************************************************************************/
public class MakerNoteFormatProvider implements MetadataItemFormatProvider<Directory>
  {
    // FIXME: merge with MetadataItemFormatImpl
    protected final static Format DEFAULT_FORMAT = new Format() 
      {
        @Override
        public StringBuffer format (@CheckForNull final Object object,
                                    @Nonnull final StringBuffer toAppendTo,
                                    final FieldPosition pos)
          {
            toAppendTo.append((object != null) ? object.toString() : "");
            return toAppendTo;
          }

        @Override
        public Object parseObject (@Nonnull final String source,
                                   @Nonnull final ParsePosition pos)
          {
            pos.setIndex(pos.getIndex() + source.length() + 1);
            return source;
          }
      };

    @Nonnull
    public Class<Directory> getItemClass()
      {
        return Directory.class;
      }

    @Nonnull
    public String getItemDisplayName() 
      {
        return "MakerNote";
      }

    @Nonnull
    public Format getFormat (final String propertyName) 
      {
        return DEFAULT_FORMAT; // FIXME
      }

    @Nonnull
    public String getDisplayName (@Nonnull final String propertyName)
      {
        return propertyName; // FIXME
      }
  }
