/***********************************************************************************************************************
 *
 * blueMarine Metadata - open source media workflow
 * Copyright (C) 2007-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluemarine.tidalwave.it
 * SCM: https://kenai.com/hg/bluemarine~metadata-src
 *
 **********************************************************************************************************************/
package it.tidalwave.metadata.makernote.provider;

import it.tidalwave.imageio.nef.NikonMakerNote3;
import javax.annotation.Nonnull;
import it.tidalwave.metadata.MetadataItemHolder;
import it.tidalwave.metadata.spi.MetadataItemProviderSupport;

/*******************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 ******************************************************************************/
public class Nikon3MakerNoteProvider extends MetadataItemProviderSupport<NikonMakerNote3>
  {
    public Nikon3MakerNoteProvider()
      {
        super(NikonMakerNote3.class, MetadataItemProviderSupport.CreationStrategy.RAW);
      }

    @Override
    @Nonnull
    protected MetadataItemHolder<NikonMakerNote3> createMetadataHolder (@Nonnull final NikonMakerNote3 item)
      {  
        return new DirectoryMetadataItemHolder<NikonMakerNote3>(item);
      }
  }
